import blockmania_data
from general_states.screen_02_play import score_manager
from view import field


def remove_rows(rows):

    # The row-numbers in list 'rows' must be sorted from top to bottom.

    for row in rows:
        remove_row(row)

    score_manager.add_rows(len(rows))


def remove_row(row_target: int):

    while row_target > 0:

        row_to_pull_down = row_target - 1
        for col in range(0, blockmania_data.COL_COUNT):

            field.gb.grid[row_target][col] = field.gb.grid[row_to_pull_down][col]
            field.gb.grid[row_to_pull_down][col] = 0

        row_target -= 1
