from view import field


def flip(block):

    def flip_3x3():
        for row in range(3):
            block.matrix[row][0] = field.get_block().matrix[row][2]
            block.matrix[row][1] = field.get_block().matrix[row][1]
            block.matrix[row][2] = field.get_block().matrix[row][0]


    def flip_4x4():
        for row in range(4):
            for col in range(4):
                block.matrix[row][col] = field.get_block().matrix[row][block_size - col - 1]

    block_size = len(block.matrix[0])
    if block_size == 3:
        flip_3x3()
    elif block_size == 4:
        flip_4x4()
