from util.classes.class_Tile import Tile


# Call this method after the block-matrix and/or block-offset has been changed.
def refresh_tiles(block):

    block.tiles.clear()
    block_size = len(block.matrix)

    for row in range(block_size):
        for col in range(block_size):

            if block.matrix[row][col] == 1:

                offset_row = block.offset.row
                offset_col = block.offset.col

                tile = Tile(row + offset_row, col + offset_col)
                block.tiles.append(tile)
