import blockmania_data
from view import field


def zijn_alle_block_tile_locaties_vrij_op_het_field(block) -> bool:

    result = True
    for tile in block.tiles:
        if field.is_location_occupied(tile.row, tile.col):
            result = False
            break
    return result


def vallen_alle_block_tile_locaties_binnen_de_field_grens(block) -> bool:

    def valt_locatie_buiten_de_field_grens(row, col):
        return \
                col < 0 or \
                col > blockmania_data.COL_MAX or \
                row < 0 or \
                row > blockmania_data.ROW_MAX

    result = True
    for tile in block.tiles:
        if valt_locatie_buiten_de_field_grens(tile.row, tile.col):
            result = False
            break
    return result
