import random
from general_states.screen_03_preferences import screen_preferences

from src.util import tools

matrix_O = [[1, 1], [1, 1]]
matrix_S = [[0, 0, 0], [0, 1, 1], [1, 1, 0]]
matrix_Z = [[0, 0, 0], [1, 1, 0], [0, 1, 1]]
matrix_L = [[0, 0, 0], [1, 1, 1], [1, 0, 0]]
matrix_J = [[0, 0, 0], [1, 1, 1], [0, 0, 1]]
matrix_T = [[0, 0, 0], [1, 1, 1], [0, 1, 0]]
matrix_I = [[0, 0, 0, 0], [1, 1, 1, 1], [0, 0, 0, 0], [0, 0, 0, 0]]
# matrix_B = [ [1, 0, 0, 0], [1, 1, 1, 1], [0, 0, 0, 0], [0, 0, 0, 1] ] // FIXME Deze matrix wordt niet correct weergegeven.


matrix_01 = [[1, 1, 1], [0, 1, 1], [0, 0, 0]]
matrix_03 = [[0, 1, 0], [1, 1, 1], [0, 1, 1]]
matrix_04 = [[1, 0, 0], [1, 1, 1], [0, 1, 1]]
matrix_09 = [[0, 0, 1], [1, 1, 1], [1, 0, 0]]

matrix_02 = [[1, 1, 1], [0, 1, 1], [0, 0, 1]]
matrix_05 = [[1, 0, 0], [1, 1, 1], [0, 1, 0]]
matrix_06 = [[0, 1, 1], [1, 1, 0], [1, 0, 0]]
matrix_07 = [[1, 1, 1], [0, 1, 0], [0, 1, 0]]
matrix_08 = [[1, 1, 1], [1, 0, 1], [0, 0, 0]]
matrix_10 = [[0, 1, 0], [1, 1, 1], [0, 1, 0]]
matrix_11 = [[1, 1, 1], [1, 0, 1], [0, 0, 1]]


matrix_pool = [ matrix_O,  matrix_S,  matrix_Z,  matrix_L,  matrix_J,  matrix_T, matrix_I,
                matrix_01, matrix_03, matrix_04 ]


def get_block_pool_size():
    if screen_preferences.gb.setting_add_extra_blocks:
        return len(matrix_pool)
    else:
        return len(matrix_pool) - 3


def get_random_block_number():
    random_number = random.randint(0, get_block_pool_size() - 1)
    return random_number


def set_matrix(block):
    matrix: list[list[int]] = matrix_pool[block.number]
    block.matrix = tools.copy_2d_array(matrix)
