import math

import blockmania_data


def calculate_initial_row_offset(block):
    row_smallest = 10  # Willekeurige startnummer.
    for tile in block.tiles:

        if tile.row < row_smallest:
            row_smallest = tile.row

    block.offset.row = (0 - row_smallest)


def calculate_initial_col_offset(block):
    block.offset.col = math.trunc( (blockmania_data.COL_COUNT - block.width_in_tiles) / 2)
