import blockmania_data
from blockmania_data import EnumUserInput


class RepetitionChecker:

    def __init__(self):
        self._input_previous: EnumUserInput = blockmania_data.EnumUserInput.NONE

    def is_repeating(self, user_input: EnumUserInput) -> bool:
        if user_input != blockmania_data.EnumUserInput.NONE and user_input == self._input_previous:
            return True
        else:
            self._input_previous = user_input
            return False

    def is_not_repeating(self, user_input: EnumUserInput) -> bool:
        return not self.is_repeating(user_input)
